#include <sys/io.h>

/* Program for generating interrupts */

void pin_high(int n)
{
	outb(inb(0x378)|(1 << n), 0x378);
}
void pin_low(int n)
{
	outb(inb(0x378)&~(1 << n), 0x378);
}
pulse()
{
	pin_low(0);
	usleep(10000);
	pin_high(0);
}
main()
{
	iopl(3);
	while(1) {
		getchar();
		pulse();
	}
}
